#
# spec file for package dovecot (Version 1.0.5)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs cyrus-sasl cyrus-sasl-devel diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv keyutils-devel keyutils-libs krb5 krb5-devel less libacl libattr libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libdb-4_5 libdb-4_5-devel libgcc42 libgomp42 libltdl-3 libmudflap42 libmysqlclient-devel libmysqlclient15 libmysqlclient_r15 libopenssl-devel libopenssl0_9_8 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openldap2-client openldap2-devel openssl-certs pam pam-devel pam-modules patch perl perl-base permissions pkg-config popt post-build-checks postgresql-devel postgresql-libs rpm sed sqlite sqlite-devel sysvinit tar texinfo timezone util-linux zlib zlib-devel


Name:           dovecot
Version:        1.0.5
Release:        6.6
%define         dovecot_sieve_version 1.0.2
#
Group:          Productivity/Networking/Email/Servers
License:        BSD 3-Clause; LGPL v2.1 or later; X11/MIT
#
%define makeinstall make install DESTDIR=%{buildroot}
%define pkg_name dovecot
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  db-devel mysql-devel openldap2-devel pam-devel pkgconfig postgresql-devel sqlite-devel
%if 0%{?suse_version}
%if 0%{?suse_version} < 1000
BuildRequires:  heimdal-lib
%else
BuildRequires:  krb5-devel
%endif
%else
BuildRequires:  krb5-devel
%endif
PreReq:         /usr/sbin/useradd, /usr/sbin/usermod, /usr/sbin/groupadd
Conflicts:      dovecot-snapshot
#
Url:            http://www.dovecot.org
# taken from    http://www.dovecot.org/releases/1.0/%{pkg_name}-%{version}.tar.gz
Source:         %{pkg_name}-%{version}.tar.bz2
# taken from    http://www.dovecot.org/releases/sieve/dovecot-sieve-%{dovecot_sieve_version}.tar.gz
Source1:        dovecot-sieve-%{dovecot_sieve_version}.tar.bz2
Source2:        %{pkg_name}.init
Source3:        %{pkg_name}.pam
Source4:        %{pkg_name}.README.SuSE
Source5:        dovecot-rpmlintrc
Patch:          dovecot-1.0.cvs_pie.patch
Patch1:         dovecot-sieve-1.0.2_pie.patch
Patch2:         dovecot-sieve-1.0.2_cmu_sieve_and_userdir.patch
Patch3:         dovecot-sieve-1.0.2_informational_logging_of_vacation.patch
Patch4:         dovecot-pkgconfig.patch
Patch20:        dovecot-1.0.x_auth_ldap_cache.patch
Patch21:        dovecot-1.0.10.mail_priv_groups.patch
Patch22:        dovecot-1.0.x_auth_illegal_chars.patch
Patch23:        dovecot-1.0.x_negative_access_rights.patch
Patch24:        dovecot-1.1.x_sieve_buffer_overflows.patch
#
Summary:        IMAP and POP3 Server Written Primarily with Security in Mind

%description
Dovecot is an IMAP and POP3 server for Linux and UNIX-like systems,
written primarily with security in mind. Although it is written in C,
it uses several coding techniques to avoid most of the common pitfalls.

Dovecot can work with standard mbox and maildir formats and is fully
compatible with UW-IMAP and Courier IMAP servers as well as mail
clients accessing the mailboxes directly.



Authors:
--------
    Timo Sirainen <tss@iki.fi>

%debug_package
%package devel
License:        BSD 3-Clause; LGPL v2.1 or later; X11/MIT
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
#
Summary:        Development files for Dovecot plugins

%description devel
Dovecot is an IMAP and POP3 server for Linux and UNIX-like systems,
written primarily with security in mind. Although it is written in C,
it uses several coding techniques to avoid most of the common pitfalls.

Dovecot can work with standard mbox and maildir formats and is fully
compatible with UW-IMAP and Courier IMAP servers as well as mail
clients accessing the mailboxes directly.

This package holds the file needed to compile plugins outside of the
dovecot tree.



Authors:
--------
    Timo Sirainen <tss@iki.fi>

%prep
%setup -a 1
%patch
%patch1
%patch2
%patch3
%patch20 -p1
%patch21 -p0
%patch22 -p1
%patch23 -p1
%patch24
%{__sed} -i -e 's|#ssl_disable = no|ssl_disable = yes|' %{pkg_name}-example.conf
%{__sed} -i -e 's|/usr/libexec|%{_libdir}|g' %{pkg_name}-example.conf
%{__perl} -p -i -e 's|#(mail_plugin_dir =) /usr/lib/dovecot/(.*)$|$1 %{_libdir}/dovecot/modules/$2|g' %{pkg_name}-example.conf

%build
export CFLAGS="%{optflags} -g"
%if 0%{?suse_version} > 1000
    export CFLAGS="$CFLAGS -fstack-protector"
%endif
if [ -f /usr/share/gettext/config.rpath -a ! -f config.rpath ] ; then
    %{__cp} -v /usr/share/gettext/config.rpath .
fi
#./autogen.sh
aclocal
autoheader
libtoolize --force
automake --add-missing
autoconf
%configure                                          \
    --sysconfdir=%{_sysconfdir}/%{pkg_name}         \
    --libexecdir=%{_prefix}/lib                     \
    --with-moduledir=%{_libdir}/%{pkg_name}/modules \
    --with-ioloop=best                              \
    --with-static-userdb                            \
    --with-prefetch-userdb                          \
    --with-storages="maildir,mbox"                  \
    --with-ldap                                     \
    --with-sql                                      \
    --with-pgsql                                    \
    --with-mysql                                    \
    --with-sqlite                                   \
    --with-ssl=openssl                              \
    --with-gssapi                                   \
    --with-deliver                                  \
    --with-docs                                     \
    --disable-static                                \
    --enable-header-install                         \
    --enable-ipv6                                   \
    --enable-pie
%{__make}
pushd dovecot-sieve-%{dovecot_sieve_version}
    if [ -f /usr/share/gettext/config.rpath -a ! -f config.rpath ] ; then
        %{__cp} -v /usr/share/gettext/config.rpath .
    fi
    aclocal
    autoheader
    libtoolize --force
    automake --add-missing
    autoconf
    # work around for the broken CFLAGS in the libsieve package
    %if 0%{?sles_version} > 0
        export CFLAGS="$CFLAGS -fPIC -DPIC"
    %endif
    %configure                                      \
    --sysconfdir=%{_sysconfdir}/%{pkg_name}         \
    --libexecdir=%{_prefix}/lib/                    \
    --with-moduledir=%{_libdir}/%{pkg_name}/modules \
    --with-dovecot=../                              \
    --disable-static                                \
    --enable-pie
    ln -fsv ../ylwrap ylwrap
    make
popd

%install
%makeinstall docdir=%{_docdir}/%{pkg_name} wikidir=%{_docdir}/%{pkg_name}/wiki
%makeinstall -C dovecot-sieve-%{dovecot_sieve_version} docdir=%{_docdir}/%{pkg_name}
find %{buildroot}%{_libdir}/%{pkg_name}/modules/ -type f -name \*.la -print0 | xargs -r0 rm -v
find %{buildroot}%{_libdir}/%{pkg_name}/modules/ -type f -name \*.a  -print0 | xargs -r0 rm -v
%{__install} -m 0755 -Dd %{buildroot}%{_var}/run/%{pkg_name}/login/ %{buildroot}%{_var}/lib/%{pkg_name}/
#
# fix config filename and install additional config
%{__mv} %{buildroot}%{_sysconfdir}/%{pkg_name}/%{pkg_name}{-example,}.conf
%{__install} -m 0640 doc/*conf %{buildroot}%{_sysconfdir}/%{pkg_name}
%{__install} -D -m 0644 %{S:3} %{buildroot}%{_sysconfdir}/pam.d/%{pkg_name}
#
# install the init script
%{__install} -D -m 0755 %{S:2} %{buildroot}%{_sysconfdir}/init.d/%{pkg_name}
%{__ln_s} -f %{_sysconfdir}/init.d/%{pkg_name} %{buildroot}%{_sbindir}/rc%{pkg_name}
#
# install the script to create dummy selfsigned certs
%{__install} -m 0755 doc/mkcert.sh %{buildroot}%{_docdir}/%{pkg_name}
%{__install} -m 0644 doc/*.cnf     %{buildroot}%{_docdir}/%{pkg_name}
%{__install} -m 0644 %{S:4}        %{buildroot}%{_docdir}/%{pkg_name}/README.SuSE
#
# documentation for the cmu sieve module
for i in dovecot-sieve-%{dovecot_sieve_version}/src/libsieve/{AUTHORS,COPYING,NEWS,README} ; do
    %{__install} -m 0644 $i %{buildroot}%{_docdir}/%{pkg_name}/${i##dovecot-sieve-%{dovecot_sieve_version}/src/libsieve/}.libsieve
done
for i in dovecot-sieve-%{dovecot_sieve_version}/AUTHORS ; do
    %{__install} -m 0644 $i %{buildroot}%{_docdir}/%{pkg_name}/${i##dovecot-sieve-%{dovecot_sieve_version}/}.dovecot-sieve
done
#
# additional docs for the main package
%{__install} -m 0644 \
       AUTHORS ChangeLog COPYING* NEWS TODO README \
    %{buildroot}%{_docdir}/%{pkg_name}/
%{__gzip} -9v %{buildroot}%{_docdir}/%{pkg_name}/ChangeLog
# useless atm
%{__rm} -v %{buildroot}%{_libdir}/%{pkg_name}/dovecot-config

%clean
%{__rm} -rf "%{buildroot}"

%pre
/usr/sbin/groupadd -r %{pkg_name} &>/dev/null || :
/usr/sbin/useradd -o -g %{pkg_name} -s /bin/false -r -c "User for Dovecot imapd" -d %{_var}/run/%{pkg_name} %{pkg_name} &>/dev/null || :

%preun
%stop_on_removal %{pkg_name}

%post
%fillup_and_insserv -f %{pkg_name}

%postun
%insserv_cleanup
%restart_on_update %{pkg_name}

%files
%defattr(-,root,root)
%{_sysconfdir}/init.d/%{pkg_name}
%{_sbindir}/%{pkg_name}*
%{_sbindir}/rc%{pkg_name}
%dir %{_sysconfdir}/%{pkg_name}
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{pkg_name}/*
%config(noreplace) %{_sysconfdir}/pam.d/%{pkg_name}
%dir %{_prefix}/lib/%{pkg_name}
%{_prefix}/lib/%{pkg_name}/checkpassword-reply
%{_prefix}/lib/%{pkg_name}/dovecot-auth
%{_prefix}/lib/%{pkg_name}/rawlog
%{_prefix}/lib/%{pkg_name}/imap*
%{_prefix}/lib/%{pkg_name}/pop3*
%{_prefix}/lib/%{pkg_name}/deliver
%{_prefix}/lib/%{pkg_name}/dict
%{_prefix}/lib/%{pkg_name}/gdbhelper
%{_prefix}/lib/%{pkg_name}/ssl-build-param
%{_prefix}/lib/%{pkg_name}/sievec
%{_prefix}/lib/%{pkg_name}/sieved
%{_prefix}/lib/%{pkg_name}/idxview
%{_prefix}/lib/%{pkg_name}/logview
#
# plugins
#
%dir %{_libdir}/%{pkg_name}
%dir %{_libdir}/%{pkg_name}/modules/
%{_libdir}/%{pkg_name}/modules/lib01_acl_plugin.so
%{_libdir}/%{pkg_name}/modules/lib02_lazy_expunge_plugin.so
%{_libdir}/%{pkg_name}/modules/lib10_quota_plugin.so
%{_libdir}/%{pkg_name}/modules/lib11_trash_plugin.so
%{_libdir}/%{pkg_name}/modules/lib20_convert_plugin.so
%{_libdir}/%{pkg_name}/modules/lib20_mail_log_plugin.so
%dir %{_libdir}/%{pkg_name}/modules/imap
%{_libdir}/%{pkg_name}/modules/imap/lib01_acl_plugin.so
%{_libdir}/%{pkg_name}/modules/imap/lib02_lazy_expunge_plugin.so
%{_libdir}/%{pkg_name}/modules/imap/lib10_quota_plugin.so
%{_libdir}/%{pkg_name}/modules/imap/lib11_imap_quota_plugin.so
%{_libdir}/%{pkg_name}/modules/imap/lib11_trash_plugin.so
%{_libdir}/%{pkg_name}/modules/imap/lib20_convert_plugin.so
%{_libdir}/%{pkg_name}/modules/imap/lib20_mail_log_plugin.so
%{_libdir}/%{pkg_name}/modules/imap/lib20_zlib_plugin.so
%dir %{_libdir}/%{pkg_name}/modules/lda
%{_libdir}/%{pkg_name}/modules/lda/lib01_acl_plugin.so
%{_libdir}/%{pkg_name}/modules/lda/lib10_quota_plugin.so
%{_libdir}/%{pkg_name}/modules/lda/lib11_trash_plugin.so
%{_libdir}/%{pkg_name}/modules/lda/lib20_convert_plugin.so
%{_libdir}/%{pkg_name}/modules/lda/lib20_mail_log_plugin.so
%{_libdir}/%{pkg_name}/modules/lda/lib90_cmusieve_plugin.so
%dir %{_libdir}/%{pkg_name}/modules/pop3
%{_libdir}/%{pkg_name}/modules/pop3/lib02_lazy_expunge_plugin.so
%{_libdir}/%{pkg_name}/modules/pop3/lib10_quota_plugin.so
%{_libdir}/%{pkg_name}/modules/pop3/lib20_convert_plugin.so
%{_libdir}/%{pkg_name}/modules/pop3/lib20_mail_log_plugin.so
#
# documentation
#
%doc %{_docdir}/%{pkg_name}
#
# setting up permissions
#
%dir %attr(0755, root, root)        %{_var}/run/%{pkg_name}/
%dir %attr(0750, root, %{pkg_name}) %{_var}/run/%{pkg_name}/login/
%dir %attr(0750, root, root)        %{_var}/lib/%{pkg_name}/

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{pkg_name}/
#%{_libdir}/pkgconfig/dovecot.pc
# useless atm
# %{_libdir}/%{pkg_name}/dovecot-config

%changelog
* Thu Sep 17 2009 - mrueckert@suse.de
- added dovecot-1.1.x_sieve_buffer_overflows.patch:
  fix buffer overflows in the CMU sieve implementation
  (bnc#539876, CVE-2009-2632, CVE-2009-3235)
* Tue Nov 11 2008 - mrueckert@suse.de
- add dovecot-1.0.x_negative_access_rights.patch: (bnc#435978)
  The ACL plugin in Dovecot before 1.1.4 treats negative access
  rights as if they are positive access rights, which allows
  attackers to bypass intended access restrictions. (CVE-2008-4577)
* Thu Sep 25 2008 - mrueckert@suse.de
- added dovecot-1.0.10.mail_priv_groups.patch  (bnc#366522)
  Dovecot before 1.0.11, when configured to use mail_extra_groups
  to allow Dovecot to create dotlocks in /var/mail, might allow
  local users to read sensitive mail fil es for other users, or
  modify files or directories that are writable by group, via a
  symlink attack. (CVE-2008-1199)
- added dovecot-1.0.x_auth_illegal_chars.patch (bnc#368617)
  Argument injection vulnerability in Dovecot 1.0.x before 1.0.13,
  and 1.1.x before 1.1.rc3, when using blocking passdbs, allows
  remote attackers to bypass the password check via a password
  containing TAB characters, which are treated as argument
  delimiters that enable the skip_password_check field to be
  specified. (CVE-2008-1218)
- added dovecot-1.0.x_auth_ldap_cache.patch    (bnc#350989)
  Dovecot before 1.0.10, with certain configuration options
  including use of %%variables, does not properly maintain the
  LDAP+auth cache, which might allow remote authenticated users
  to login as a different user who has the same password.
  (CVE-2007-6598)
- Add Should-Start: $time to get a timesync before dovecot is
  started. Dovecot shuts down itself if the clock changes too much.
  (bnc#373267)
* Mon Sep 10 2007 - mrueckert@suse.de
- recompressed tarballs with bzip2
* Mon Sep 10 2007 - mrueckert@suse.de
- update to v1.0.5 (#309088)
  - deliver: v1.0.4 broke home directory handling
  - maildir: Creating mailboxes didn't use dovecot-shared's group
  for cur/new/tmp directories.
- added dovecot-sieve-1.0.2_cmu_sieve_and_userdir.patch
  - pull in fixes from cmu sieve upstream
  - better error message if the per-user script location is not set
- added dovecot-sieve-1.0.2_informational_logging_of_vacation.patch
  informational logging of vacation response outcome
- no longer package useless %%{_libdir}/%%{pkg_name}/dovecot-config
* Sun Sep 09 2007 - mrueckert@suse.de
- update to v1.0.4 (#309088)
  * Assume a MIME message if Content-Type: header exists, even if
  Mime-Version: header doesn't.
  - IMAP: CREATE ns_prefix/box/ didn't work right when namespace
  prefix existed.
  - deliver: plugin {} settings were overriding settings from
  userdb.
  - mbox: Expunging the first message might not have worked always
  - PostgreSQL: If we can't connect to server, timeout queries
  after a while instead of trying forever.
  - Solaris: sendfile() support was broken and could have caused
  100%% CPU usage and the connection hanging.
  - IMAP: Fixed infinite loop in some situations
- removed dovecot-1.0.3_bad_fetch_store.patch:
  included in update
* Tue Aug 28 2007 - mrueckert@suse.de
- fixed dovecot-devel:
  --with-headers got renamed to --enable-header-install.
* Thu Aug 02 2007 - mrueckert@suse.de
- updated dovecot-1.0.3_bad_fetch_store.patch:
  the last change was not 100%% correct. fixed.
* Wed Aug 01 2007 - mrueckert@suse.de
- update to v1.0.3
  | - deliver: v1.0.2's bounce fix caused message to be always
  |   saved to INBOX even if Sieve script had discard, reject or
  |   redirect commands.
  | - LDAP: auth_bind=yes and empty auth_bind_userdn leaked memory
  | - ACL plugin: If user was given i (insert) right for a mailbox,
  |   but not all s/t/w (seen, deleted, other flags) rights, COPY
  |   and APPEND commands weren't supposed to allow saving those
  |   flags. This is technically a security fix, but it's unlikely
  |   this caused problems for anyone.
  | - ACL plugin: i (insert) right didn't work unless user was also
  |   given l (lookup) right.
  | - Solaris: Fixed filesystem quota for autofs mounts.
- update dovecot-sieve to v1.0.2
  | - Vacation crashfix: If there's no return path (or it's
  |   broken), getenvelope()
  | - Log a bit more if debug is enabled.
  | - If sieve_execute_bytecode() fails, log an error.
  | - Added support for mailto notify. Patch by Uldis Pakuls.
  | - renamed global_script_path to sieve_global_path
- removed dovecot-1.0.2_better_logging.patch and
  dovecot-sieve-1.0.1_latest_fixes.patch:
  included in update
- rediffed dovecot-sieve.cvs_pie.patch
  new name dovecot-sieve-1.0.2_pie.patch
- added dovecot-1.0.3_bad_fetch_store.patch:
  fixed error handling for FETCH/STORE
* Mon Jul 16 2007 - mrueckert@suse.de
- update to v1.0.2
  | * dbox isn't built anymore by default. It will be redesigned so
  |   it shouldn't be used.
  |
  | + Maildir: Support reading dovecot-uidlist (v3) files created
  |    by Dovecot v1.1.
  | - Maildir: "UIDVALIDITY changed" errors could happen with newly
  |   created mailboxes
  | - If "INBOX." namespace was used, LIST returned it with
  |   \HasNoChildren which caused some clients not to show any
  |   other mailboxes.
  | - Maildir++ quota: If multiple processes were updating
  |   maildirsize at the same time, we failed with "Unknown error".
  | - IMAP: IDLE didn't actually disconnect client after 30 minutes
  |   of inactivity.
  | - LDAP passdb/userdb was leaking memory
  | - deliver: %%variables in plugin {} weren't expanded
  | - deliver: Don't bounce the mail if Sieve plugin returns
  |   failure
- added dovecot-1.0.2_better_logging.patch:
  a few improved log messages (pulled from the repos)
- added dovecot-sieve-1.0.1_latest_fixes.patch:
  a crashfix in the vacation part and a few improved debug messages
  (pulled from the repos, full changes messages in the patch)
- removed dovecot-1.0.1_latest_fixes.patch:
  included in new release
* Mon Jun 18 2007 - mrueckert@suse.de
- update to v1.0.1
  | * deliver: If Return-Path doesn't contain user and domain,
  |   don't try to bounce the mail (this is how it was supposed to
  |   work earlier too)
  | * deliver: %%variables in mail setting coming from userdb aren't
  |   expanded anymore (again how it should have worked). The
  |   expansion could have caused problems if paths contained any
  |   '%%' characters.
  | + Print Dovecot version number with dovecot -n and -a
  | + deliver: Added -e parameter to write rejection error to
  |   stderr and exit with EX_NOPERM instead of sending the
  |   rejection by executing sendmail.
  | + dovecot --log-error logs now a warning, an error and a fatal
  | - Trying to start Dovecot while it's already running doesn't
  |   anymore wipe out login_dir and break the running Dovecot.
  | - maildir: Fixed "UID larger than next_uid" errors which
  |   happened sometimes when dovecot-uidlist file didn't exist but
  |   index files did (usually because mailbox didn't have any
  |   messages when it was selected for the first time)
  | - maildir: We violated maildir spec a bit by not having keyword
  |   characters sorted in the filename.
  | - maildir: If we don't have write access to cur/ directory,
  |   treat the mailbox as read-only. This fixes some internal
  |   error problems with trying to use read-only maildirs.
  | - maildir: Deleting a symlinked maildir failed with internal
  |   error.
  | - mbox: pop3_uidl_format=%%m wasn't working right
  | - mbox: If non-filesystem quota was enabled, we could have
  |   failed with "Unexpectedly lost From-line" errors while saving
  |   new messages
  | - mysql auth: %%c didn't work. Patch by Andrey Panin
  | - APPEND / SEARCH: If internaldate was outside valid value for
  |   time_t, we returned BAD error for APPEND and SEARCH never
  |   matched. With 64bit systems this shouldn't have happened.
  |   With 32bit systems the valid range is usually for years
  |   1902..2037.
  | - COPY: We sent "Hang in there.." too early sometimes and
  |   checked it too often (didn't break anything, but was slower
  |   than needed).
  | - deliver: Postfix's sendmail binary wasn't working with
  |   mail_debug=yes
  | - Don't corrupt ssl-parameters.dat files when running multiple
  |   Dovecot instances.
  | - Cache compression caused dovecot.index.cache to be completely
  |   deleted with big endian CPUs if 64bit file offsets were used
  |   (default)
  | - Fixed "(index_mail_parse_header): assertion failed" crash
- fixed a few rpmlint warnings:
  (dovecot.init): missing Short-Description, updated the Copyright
  header.
  (dovec.spec): dont install empty changelog file
- added dovecot-1.0.1_latest_fixes.patch:
  a few small fixes from HEAD of the 1.0 branch. full changelog
  included in the patch file
* Fri Apr 13 2007 - mrueckert@suse.de
- update to v1.0.0. finally!:)
  | + Documentation updated.
- additional changes from v1.0.rc32:
  | - LDAP, auth_bind=no: Don't crash if doing non-plaintext ldap
  |   passdb lookup for unknown user. This also broke deliver when
  |   userdb static was used.
  | - LDAP, auth_bind=yes and userdb ldap: We didn't wait until
  |   bind was finished before sending the userdb request, which
  |   could have caused problems.
  | - LDAP: Don't break when compiling with OpenLDAP v2.3 library
  | - Convert plugin: Don't create "maildirfolder" file to Maildir
  |   root.
- removed -DLDAP_DEPRECATED from the CFLAGS. This is done in the
  code now.
* Sun Apr 08 2007 - mrueckert@suse.de
- updated to v1.0rc31
  | - mbox: Give "mbox file was modified while we were syncing"
  |   error only if we detect some problems in the mbox file. The
  |   check can't be trusted with NFS.
  | - Convert plugin: If directory for destination storage doesn't
  |   exist, create it.
  | - Convert plugin: Mailbox names weren't converted in
  |   subscription list.
* Fri Apr 06 2007 - mrueckert@suse.de
- updated to v1.0rc30
  | * PAM: Lowercase the PAM service name when calling with
  |   "args = *".  Linux PAM did this internally already, but at
  |   least BSD didn't.  If your PAM file used to be in
  |   /etc/pam.d/IMAP or POP3 file you'll need to lowercase it now.
  |
  | + Send list of CA names to client when using
  |   ssl_verify_client_cert=yes.
  | - IMAP: If message body started with line feed, it wasn't
  |   counted in BODY and BODYSTRUCTURE replies' line count field.
  | - deliver didn't load plugins before chrooting
- additional changes from v1.0rc29
  | * Security fix: If zlib plugin was loaded, it was possible to
  |   open gzipped mbox files outside the user's mail directory.
  | + Added auth_gssapi_hostname setting.
  | - IMAP: LIST "" "" didn't return anything if there didn't exist
  |   a namespace with empty prefix. This broke some clients.
  | - If Dovecot is tried to be started when it's already running,
  |   don't delete existing auth sockets and break the running
  |   Dovecot
  | - If deliver failed too early it still returned exit code 89
  |   instead of EX_TEMPFAIL.
  | - deliver: INBOX fallbacking with -n parameter wasn't working.
  | - passdb passwd and shadow couldn't be used as master or deny
  |   databases
  | - IDLE: inotify didn't notice changes in mbox file
  | - If index file directory couldn't be created, disable indexes
  |   instead of failing to open the mailbox.
  | - rawlog wasn't working with chrooting
  | - Several other minor fixes
* Wed Mar 28 2007 - mrueckert@suse.de
- update to version 1.0rc28
  | * deliver + userdb static: Verify the user's existence from
  |   passdb, unless allow_all_users=yes
  | * dovecot --exec-mail: Log to configured log files instead of
  |   stderr
  | * Added "-example" part to doc/dovecot-sql-example.conf and
  |   doc/dovecot-ldap-example.conf. They are now also installed to
  |   $sysconfdir with "make install".
  |
  | + When copying/syncing a lot of mails, send "* OK Hang in there"
  |   replies to client every 15 seconds so it doesn't just timeout
  |   the connection.
  | + Added idxview and logview utilities to examine Dovecot's index
  |   files
  | + passdb passwd and shadow support blocking=yes setting now also
  | + mbox: If mbox file changes unexpectedly while we're
  |   writing to it, log an error.
  | + deliver: Ignore -m "" parameter to make calling it easier.
  | + deliver: Added new -n parameter to disable autocreating
  |   mailboxes.  It affects both -m parameter and Sieve plugin's
  |   fileinto action
  | - mbox: Using ~/ in the mail root directory caused a ~
  |   directory to be created (instead of expanding it to home
  |   directory)
  | - auth cache: If unknown user was found from cache, we
  |   didn't properly return "unknown user" status, which could
  |   have caused problems in deliver.
  | - mbox: Fixed "UID inserted in the middle of mailbox" in
  |   some conditions with broken X-UID headers
  | - Index view syncing fixes
  | - rc27 didn't compile with some non-GCC compilers
  | - vpopmail support didn't compile in rc27
  | - NFS check with chrooting broke home direcotry for the
  |   first login
  | - deliver: If user lookup returned "unknown user", it logged
  |   "BUG: Unexpected input"
  | - convert plugin didn't convert INBOX
* Wed Mar 21 2007 - mrueckert@suse.de
- fix order of changelog entries
* Fri Mar 16 2007 - mrueckert@suse.de
- remove dovecot-config from the filelist
* Thu Mar 15 2007 - mrueckert@suse.de
- update to version 1.0rc27
  | + mbox and index file code handles silently out of quota/disk
  |   space errors (maildir still has problems). They will give
  |   the user a "Not enough disk space" error instead of flooding
  |   the log file.
  | + Added fsync_disable setting.
  | + mail-log plugin: Log the mailbox name, except if it's INBOX
  | + dovecot-auth: Added a lot more debug logging to passdbs and
  |   userdbs
  | + dovecot-auth: Added %%c variable which expands to "secured"
  |   with SSL/TLS/localhost.
  | + dovecot-auth: Added %%m variable which expands to auth
  |   mechanism name
  | - maildir++ quota: With ignore=box setting the quota was still
  |   updated for the mailbox even though it was allowed to go
  |   over quota (but quota recalculation ignored the box).
  | - Index file handling fixes
  | - mbox syncing fixes
  | - Wrong endianess index files still weren't silently rebuilt
  | - IMAP quota plugin: GETQUOTAROOT returned the mailbox name
  |   wrong the namespace had a prefix or if its separator was
  |   non-default
  | - IMAP: If client was appending multiple messages with
  |   MULTIAPPEND and LITERAL+ extensions and one of the appends
  |   failed, Dovecot treated the rest of the mail data as IMAP
  |   commands.
  | - If mail was sent to client with sendfile() call, we could
  |   have hanged the connection. This could happen only if
  |   mails were saved with CR+LF linefeeds.
- additional changes from v1.0rc26
  | * Changed --with-headers to --enable-header-install
  | * If time moves backwards only max. 5 seconds, sleep until
  |   we're back in the original present instead of killing
  |   ourself. An error is still logged.
  | - IMAP: With namespace prefixes LSUB prefix.* listed
  |   INBOX.INBOX.
  | - deliver: Ignore mbox metadata headers from the message
  |   input. X-IMAP header crashed deliver.
  | - deliver: If mail_debug=yes, drop out DEBUG environment
  |   before calling sendmail binary. Postfix's sendmail
  |   didn't really like it.
  | - mbox: X-UID brokeness fixes broke rc25 even with valid
  |   X-UID headers.  Now the code should finally work right.
  | - Maildir: When syncing a huge maildir, touch
  |   dovecot-uidlist.lock file once in a while to make sure
  |   it doesn't get overwritten by another process.
  | - Maildir++ quota: We didn't handle NUL bytes in maildirsize
  |   files very well. Now the file is rebuilt when they're seen
  |   (NFS problem).
  | - Index/view handling fix should fix some crashes/errors
  | - If index files were moved to a different endianess
  |   machine, Dovecot logged all sorts of errors instead of
  |   silently rebuilding them.
  | - Convert plugin didn't change hierarchy separators in
  |   mailbox names.
  | - PostgreSQL authentication could have lost requests once in
  |   a while with a heavily loaded server.
  | - Login processes could have crashed in some situations
  | - auth cache crashed with non-plaintext mechanisms
* Sat Mar 03 2007 - mrueckert@suse.de
- update to version 1.0rc25
  | * If time moves backwards, Dovecot kills itself instead of
  |   giving random problems.
  | + Added --with-headers configure option to install .h files.
  |   Binary package builders could use this to create some
  |   dovecot-dev package to make compiling plugins easier.
  | - PLAIN authentication: Don't crash dovecot-auth with invalid
  |   input.
  | - IMAP APPEND: Don't crash if saving fails
  | - IMAP LIST: If prefix.INBOX has children and we're listing
  |   under prefix.%%, don't drop the prefix.
  | - mbox: Broken X-UID headers still weren't handled correctly.
  | - mail-log plugin: Fixed deleted/undeleted logging.
- additional changes from 1.0rc24
  | * Dovecot now fails to load plugins that were compiled for
  |   different Dovecot version, unless version_ignore=yes is set.
  |   This needs to be explicitly set in plugins, so out-of-tree
  |   plugins won't have this check by default.
  | - pop3_lock_session=yes could cause deadlocks, and with maildir
  |   the uidlist lock could have been overridden after 2 minutes
  |   causing problems
  | - PAM wasted CPU by calling a timeout function 1000x too often
  | - Trash plugin was more or less broken with multiple namespaces
  |   and with multiple trash mailboxes
- added devel subpackage (using --with-headers)
* Tue Feb 20 2007 - mrueckert@suse.de
- update to version 1.0rc23
  | * deliver doesn't ever exit with Dovecot's internal exit codes
  |   anymore.  All its internal exit codes are changed to
  |   EX_TEMPFAIL.
  | * mbox: X-Delivery-ID header is now dropped when saving mails.
  | * mbox: If pop3_uidl_format=%%m, we generate a unique
  |   X-Delivery-ID header when saving mails to make sure the UIDL
  |   is unique.
  | + PAM: blocking=yes in args uses an alternative way to do PAM
  |   checks. Try it if you're having problems with PAM.
  | + userdb passwd: blocking=yes in args makes the userdb lookups
  |   be done in auth worker processes. Set it if you're doing
  |   remote NSS lookups (eg. nss_ldap problems are fixed by this).
  | + If PAM child process hasn't responded in two minutes,
  |   send KILL signal to it (only with blocking=no)
  | - IMAP: APPEND ate all CPU while waiting for more data from
  |   the client (broken in rc22)
  | - mbox: Broken X-UID headers assert-crashed sometimes
  | - mbox: When saving a message to an empty mbox file it got
  |   an UID which immediately got incremented.
  | - mbox: Fixed some wrong "uid-last unexpectedly lost" errors.
  | - auth cache: In some situations we crashed if passdb had
  |   extra_fields.
  | - auth cache: Special extra_fields weren't saved to auth cache.
  |   For example allow_nets restrictions were ignored for cached
  |   entries.
  | - A lot of initial login processes could cause auth socket errors
  |   in log file at startup, if dovecot-auth started slowly. Now the
  |   login processes are started only after dovecot-auth has
  |   finished initializing itself.
  | - imap/pop3 proxy: Don't crash if the remote server disconnects
  |   before we're logged in.
  | - deliver: Don't bother trying to save the mail twice into the
  |   default mailbox (eg. if it's over quota).
  | - mmap_disable=yes + non-Linux was really slow with large
  |   dovecot.index.cache files
  | - MySQL couldn't be used as a masterdb
  | - Trash plugin was more or less broken
  | - imap/pop3 couldn't load plugins if they chrooted
  | - imap/pop3-login process could crash in some conditions
  | - checkpassword-reply crashed if USER/HOME wasn't set
* Thu Feb 08 2007 - mrueckert@suse.de
- update to version 1.0rc22
  | + pop3: Commit the transaction even if client didn't QUIT so cached
  |   data gets saved.
  | - Fixed another indexing bug in rc19 and later which caused
  |   transactions to be skipped in some situations, causing all kinds of
  |   problems.
  | - mail_log_max_lines_per_sec was a bit broken and caused crashes with
  |   dovecot -a
  | - BSD filesystem quota was counted wrong. Patch by Manuel Bouyer
  | - LIST: If namespace has a prefix and inbox=no, don't list
  |   prefix.inbox if it happens to exist when listing for %%.
* Mon Feb 05 2007 - mrueckert@suse.de
- update to 1.0rc21
  | - Cache file handling could have crashed rc20
- additional changes from 1.0rc20
  | + dovecot: Added --log-error command line option to log an error, so
  |   the error log is easily found.
  | + Added mail_log_max_lines_per_sec setting. Change it to avoid log
  |   throttling with mail_log plugin.
  | - Changing message flags was more or less broken in rc19
  | - ACL plugin still didn't work without separate control directory
  | - Some mbox handling fixes, including fixing an infinite loop
  | - Some index file handling fixes
  | - maildir quota: Fixed a file descriptor leak
  | - If auth_cache was enabled and userdb returned "user unknown"
  |   (typically only deliver can do that), dovecot-auth crashed.
  | - mail_log plugin didn't work with pop3
* Tue Jan 23 2007 - mrueckert@suse.de
- update to version 1.0rc19
  | - ACL plugin didn't work unless control dir was separate from
  |   maildir
  | - More index file handling fixes
* Tue Jan 23 2007 - mrueckert@suse.de
- update to version 1.0rc18
  | * ACL plugin + Maildir: Moved dovecot-acl file from control
  |   directory to maildir. To prevent accidents caused by this
  |   change, Dovecot kills itself if it finds dovecot-acl file
  |   from the control directory.
  | * When opening a maildir, check if tmp/'s atime is over 8h
  |   old.If it is, delete files in it with ctime older than 36h.
  |   However if atime - ctime > 36h, it means that there's
  |   nothing to be deleted and the scanning isn't done.
  |   We update atime ourself if filesystem is mounted with
  |   noatime.
  | * base_dir doesn't need to be group-readable, don't force it.
  | * mail_read_mmaped setting is deprecated and possibly broken.
  |   It's now removed from dovecot-example.conf, but it still
  |   works for now.
  | * Removed also umask setting from dovecot-example.conf since
  |   currently it doesn't do what it's supposed to.
  | + Authentication cache caches now also userdb data.
  | + Added mail_log plugin to log various mail operations.
  |   Currently it logs mail copies, deletions, expunges and
  |   mailbox deletions.
  | - dict quota: messages=n parameter actually changed storage
  |   limit.
  | - A lot of fixes to handling index files. This should fix
  |   almost all of the problems ever reported.
  | - LDAP: auth_bind=yes was more or less broken.
  | - Saved mails and dovecot-keywords file didn't set the group
  |   from dovecot-shared file.
  | - Fixed potential assert-crash while searching messages
  | - Fixed some crashes with invalid X-UID headers in mboxes
  | - If you didn't have a namespace with empty prefix, giving
  |   STATUS command for a non-existing namespace caused the
  |   connection to give "NO Unknown namespace" errors for all
  |   the future commands.
* Mon Jan 22 2007 - mrueckert@suse.de
- fix the default value for mail_plugin_dir in the config.
* Sun Jan 21 2007 - mrueckert@suse.de
- update to version 1.0rc17
  | - MySQL authentication caused username to show up as "OK" in
  |   rc16.
- additional changes from v1.0.rc16
  | * IMAP: When trying to fetch an already expunged message,
  |   Dovecot used to just disconnect client. Now it instead
  |   replies with dummy NIL data.
  | * Priority numbers in plugin names have changed. If you're
  |   installing from source, you should delete the existing plugin
  |   files before installing the new ones, otherwise you'll get
  |   errors.
  | * Maildir: We're using rename() to move files from tmp/ to
  |   new/ now.  See http://wiki.dovecot.org/MailboxFormat/Maildir
  |   -> "Issues with the specification" for reasoning why this is
  |   safe. This makes saving mails faster, and also makes Dovecot
  |   usable with Mac OS X's HFS+ (after you also
  |   set dotlock_use_excl=yes, see below).
  | + Added dotlock_use_excl setting. If enabled, dotlocks are
  |   created directly using O_EXCL flag, instead of by creating a
  |   temporary file which is hardlinked. O_EXCL is faster, but may
  |   not work with NFS.
  | + If Dovecot crashes with Linux or Solaris, it'll log a
  |   "Raw backtrace". It's worse than gdb's backtrace, but better
  |   than nothing.
  | + Added maildir_copy_preserve_filename=yes setting.
  | + Added a lazy-expunge plugin to allow users to unexpunge their
  |   mails.
  | + maildir quota: Added ignore setting to maildir quota, which
  |   allows ignoring quota in Trash mailbox.
  | + dict quota: If dictionary doesn't yet contain the quota,
  |   calculate it by going through all the mails in all the
  |   mailboxes.
  | + login_log_format_elements: Added %%a=local port and %%b=remote
  |   port
  | + Added -i and -o options to rawlog to restrict logging only to
  |   input or output.
  | - Doing a STATUS command for a selected mailbox (not a
  |   recommended IMAP client behavior) caused Dovecot to sync the
  |   mailbox silently. This could have lost eg. EXPUNGE events
  |   from clients, causing them to use wrong sequence numbers.
  | - deliver was treating boolean settings set to "no" as if they
  |   were "yes" (they were supposed to be commented out for "no")
  | - Running "dovecot" with -a or -n option while Dovecot was
  |   running deleted all authentication sockets, which caused all
  |   the future logins to fail.
  | - maildir: RENAME and DELETE didn't touch control directory if
  |   it was different from maildir or index dir.
  | - We treated internal userdb lookup errors as "user unknown"
  |   errors. In such situations this caused deliver to think the
  |   user didn't exist and the mail get bounced.
  | - pam: Setting cache_key crashed
  | - shared maildir: dovecot-keywords file's mode wasn't taken
  |   from dovecot-shared file.
  | - dovecotpw wasn't working with PowerPC
- switched to official 1.0.1 release of dovecot sieve
- removed dovecot-1.0rc15_non_existing_home.diff: was a backport.
* Mon Nov 20 2006 - mrueckert@suse.de
- added dovecot-1.0rc15_non_existing_home.diff:
  dont write a log message if the homedir doesnt exists.
* Sun Nov 19 2006 - mrueckert@suse.de
- update to version 1.0rc15:
  | * Fixed an off-by-one buffer overflow in cache file handling.
  |   The code is executed only with mmap_disable=yes and only if
  |   index files are used (ie. INDEX=MEMORY is safe).
  | * passdb checkpassword: Handle vpopmail's non-standard exit
  |   codes.
  | - rc14 sometimes assert-crashed if .log.2 file existed in a
  |   mailbox (earlier versions leaked memory and file descriptors)
  | - io_add() assert-crashfixes
  | - Potential SSL hang fix at the beginning of the connection
- updated sieve code
* Sat Nov 18 2006 - mrueckert@suse.de
- added dovecot-1.0.rc14_sec+crash_fixes.patch:
  | - fixes a off by one in the index file handling (CVE-2006-5973)
  |   (#222613)
  |
  | additional crashes were fixed:
  | - rc14 sometimes assert-crashed if .log.2 file existed in a
  |   mailbox (earlier versions leaked memory and file descriptors)
  | - io_add() assert-crashfixes
  | - Potential SSL hang fix at the beginning of the connection
  | - do not fail when we can not chdir to the user home
  | - dont crash if we cant open the dovecot-keywords file
* Sun Nov 12 2006 - mrueckert@suse.de
- update to version 1.0rc14:
  | * LDAP: Don't try to use ldap_bind() with empty passwords,
  |   since Windows 2003 AD skips password checking with them
  |   and just returns success.
  | * verbose_ssl=yes: Don't bother logging "syscall failed: EOF"
  |   messages. No-one cares about them.
  | + Dovecot sources should now compile without any warnings with
  |   gcc 3.2+
  | - rc13 crashed if client disconnected while IDLEing
  | - LDAP: auth_bind=yes fixes
  | - %%variables: Fixed zero padding handling and documented it.
  |   %%0.1n shouldn't enable it, and it really shouldn't stay for
  |   the next %%variable. -sign also shouldn't stay for the next
  |   variable.
  | - Don't leak opened .log.2 transaction logs.
  | - Fixed a potential hang in IDLE command (probably really rare).
  | - Fixed potential problems with client disconnecting while
  |   master was handling the login.
  | - quota plugin didn't work in Mac OS X
- removed dovecot-1.0rc13_memleak_fixes_ssllogging.patch:
  included upstream
* Thu Nov 09 2006 - mrueckert@suse.de
- update to version 1.0rc13:
  | + deliver: If we're executing as a normal system user, get
  |   the HOME environment from passwd if it's not set. This makes
  |   it possible to run deliver from .forward.
  | - Older compilers caused LDAP authentication to crash
  | - Dying LDAP connections weren't handled exactly correctly in
  |   rc11, although it seemed to work usually
  | - Fixed crashes and memory leaks with AUTHENTICATE command
  | - Fixed crashes and leaks with IMAP/POP3 proxying
  | - maildir: Changing a mailbox while another process was saving
  |   a message there at the same may have caused the changes to
  |   not be made into the maildir, which could have caused other
  |   problems later..
- removed dovecot-1.0.rc12_auth+ldap_fixes.patch:
  all changes upstream
* Mon Nov 06 2006 - mrueckert@suse.de
- updated dovecot-1.0.rc12_auth+ldap_fixes.patch:
  deliver now fetches $HOME from the /etc/passwd if not running as
  root. That way deliver can be used from .forward.
* Sun Nov 05 2006 - mrueckert@suse.de
- update to version 1.0rc12:
  | - rc11 didn't compile with some compilers
  | - default_mail_env fallbacking was broken with --exec-mail
- added dovecot-1.0.rc12_auth+ldap_fixes.patch:
  a few small auth and ldap fixes from the 1.0 branch
- rediffed dovecot-1.0.cvs_pie.patch
* Sun Nov 05 2006 - mrueckert@suse.de
- update to version 1.0rc11:
  | * Renamed default_mail_env to mail_location. default_mail_env
  |   still works for backwards compatibility.
  | * deliver: When sending rejects, don't include Content-Type in
  |   the rejected mail's headers.
  | * LDAP changes:
  |     * If auth binds are used, bind back to the default dn
  |       before doing a search. Otherwise it could fail if a user
  |       gave an invalid password.
  |     * Initial binding at connect is now done asynchronously.
  |     * Use pass_attrs even with auth_bind=yes since it may
  |       contain useful non-password fields.
  |
  | + passdb checkpassword: Give TCPLOCALIP and TCPREMOTEIP and
  |   PROTO=TCP environments to the checkpassword binary so we're
  |   UCSPI (and vchkpw) compatible.
  | - mbox handling was a bit broken in rc10
  | - Using Dovecot via inetd kept crashing dovecot master
  | - deliver: Don't crash with -f "". Changed the default from
  |   envelope to be "MAILER-DAEMON".
  | - INBOX wasn't shown with LSUB command if only prefixed
  |   namespaces were used.
  | - passdb ldap: Reconnecting to LDAP server wasn't working with
  |   auth binds.
  | - passdb sql: Non-plaintext authentication didn't work
  | - MySQL passdb ignored all non-password checks, such as
  |   allow_nets
  | - trash plugin was broken
* Tue Oct 17 2006 - mrueckert@suse.de
- synced in the change from Andreas Schwab to build with newer
  autotools. slightly modified it to work on older distributions.
* Mon Oct 16 2006 - mrueckert@suse.de
- update to version 1.0rc10:
  | * When matching allowed_nets IPs, convert IPv6-mapped-IPv4 addresses
  |   to actual IPv4 addresses first.
  |
  | + IMAP: Try to avoid sending duplicate/useless message flag updates
  | + Added support for non-plaintext authentication for vpopmail if it
  |   returns plaintext passwords. Based on patch by Remi Gacogne.
  | + Added %%D modified to return "sub.domain.org" as
  |   "sub,dc=domain,dc=org" (for LDAP queries). Patch by Andrey Panin.
  | - rc9 broke cache files in 64bit systems
  | - deliver works now with mail_chroot
  | - auth cache didn't work properly with multiple passdbs
  | - Fixes to handling CRLF linefeeds in mboxes.
- synced sieve code
* Mon Oct 16 2006 - schwab@suse.de
- Make sure config.rpath is present.
* Sat Oct 14 2006 - mrueckert@suse.de
- update to version 1.0rc9:
  | * 64bit systems: dovecot.index.cache file will be rebuilt because
  |   some time fields have been changed from 64bit fields to 32bit
  |   fields. Now the same cache file can be used in both 32bit and
  |   64bit systems without it being rebuilt.
  | * Added libmysqlclient workaround to conflicting sha1_result symbol,
  |   which caused Dovecot to fail logging into MySQL.
  | + dovecot.index.cache file opening is delayed until it's actually
  |   needed. This reduces disk accesses a bit with eg. STATUS commands.
  | + auth_cache: Try to handle changing passwords automatically: If
  |   password verification fails, but the last one had succeeded, don't
  |   use the cache. This works only with plaintext auth.
  | - dovecot.index.cache: We didn't properly detect if some fields were
  |   different length than we expected, which caused assert crashes
  | - Lots of fixes to login/master process handling
  | - mbox: Fixed a bug causing "X-IMAPbase uid-last unexpectedly lost
  |   in mbox file" errors, and possibly others.
- synced sieve code
* Tue Oct 10 2006 - mrueckert@suse.de
- updated to version 1.0rc8:
  | * GSSAPI: Changed POP3 service name to "pop", which is what the
  |   standard says
  | * "mbox:/var/mail/%%u" no longer works as the mail location. You'll
  |   have to specify the mail root explicitly, just like the examples
  |   always have: "mbox:~/mail:INBOX=/var/mail/%%u"
  | + SHA1, LDAP-MD5, PLAIN-MD5, PLAIN-MD4: The password can be now either
  |   hex or base64 encoded. The encoding is detected automatically based
  |   on the password string length.
  | + Allow running only Dovecot master and dovecot-auth processes with
  |   protocols=none setting
  | + deliver: -f <envelope sender> parameter can be used to set mbox
  |   From_-line's sender address
  | + deliver: Log all mail saves and failures
  | + Tru64 SIA passdb support. Patch by Simon L Jackson.
  | - INBOX was listed twice in mailbox list if namespace prefix was used
  | - INBOX-prefixed namespaces were a bit broken
  | - kqueue: Fix 100%% CPU usage
  | - deliver: Duplicate storage was a bit broken
  | - dictionary code was broken (ie. dict quota)
  | - SIGHUP caused crashes sometimes
* Mon Aug 21 2006 - kukuk@suse.de
- Include common-* PAM config files
* Fri Aug 18 2006 - mrueckert@suse.de
- dovecot-1.0rc7_inotify_return_type.patch:
  Fix a small return type warning
* Fri Aug 18 2006 - mrueckert@suse.de
- Update to version 1.0rc7:
  | * Require that Dovecot master process's version number matches
  |   the child process's, unless version_ignore=yes. Usually it's
  |   an accidental installation problem if the version numbers
  |   don't match.
  | * Maildir: Create maildirfolder file when creating new maildirs.
  | + ldap+prefetch: Use global uid/gid settings if LDAP query
  |   doesn't return them
  | + %%variables: Negative offsets count from the end of the string.
  |   Patch by Johannes Berg.
  | - kqueue ioloop code rewrite
  | - notify=kqueue might have caused connection hangs sometimes
  | - deliver: If message body contained a valid mbox From_ line, it
  |   and the rest of the message was skipped.
  | - mbox: We got into infinite loops if trying to open a 2 byte
  |   sized file as mbox.
  | - Don't crash with ssl_disable=yes
  | - quota plugin caused compiling problems with some OSes
  | - mbox: After saving a mail to a synced mbox, we lost the sync
  |   which caused worse performance
- removed dovecot-1.0rc6_fromlinekludge.patch and
  dovecot-1.0rc6_ssl_proxy_crash.patch: patches are included in rc7
* Tue Aug 08 2006 - mrueckert@suse.de
- dovecot-1.0rc6_fromlinekludge.patch:
  Make dovecot deliver ignore the all other From: lines after the
  first one. Without this patch deliver could break mails.
- dovecot-1.0rc6_ssl_proxy_crash.patch
  Fix crash if SSL is disabled.
* Mon Aug 07 2006 - mrueckert@suse.de
- update to version v1.0.rc6:
  | * Removed login_max_logging_users setting since it was somewhat weird
  |   in how it worked. Added login_max_connections to replace it with
  |   login_process_per_connection=no, and with =yes its functionality
  |   is now within login_max_processes_count.
  | + Added --with-linux-quota configure option to specify which Linux
  |   quota version to use, in case it's not correct in sys/quota.h.
  |   Usually used as --with-linux-quota=2
  | + acl plugins: If .DEFAULT file exists in global ACL root directory,
  |   use it as the default ACLs for all mailboxes.
  | - Fixes to login process handling, especially with
  |   login_process_per_connection=no.
  | - Back to the original SSL proxy code but with one small fix, which
  |   hopefully fixes the occational hangs with it
  | - Several fixes to handling LIST command more correctly.
- additional changes from v1.0.rc5
  - Saving to mboxes still caused assert-crashes
- additional changes from v1.0.rc4
  - Saving to mboxes caused assert-crashes
- additional changes from v1.0.rc3
  | - SSL connections hanged sometimes, especially when saving messages.
  | - mbox: Mail bodies were saved with CR+LF linefeeds
  | - Mail forwarding was broken with deliver/Sieve
  | - dbox fixes. Might actually be usable now.
  | - Index file handling fixes with keywords
  | - Cache file was incorrectly used in some situations, which probably
  |   caused problems sometimes.
  | - Maildir++ quota: Don't count "." and ".." directory sizes to quota.
  |   After rewriting maildirsize file keep its fd open so that we can
  |   later update it. Patch by Alexander Zagrebin
* Wed Jun 28 2006 - mrueckert@suse.de
- Update to version 1.0.rc2:
  | * disable_plaintext_auth=yes: Removed hardcoded 127.* and ::1 IP
  |   checks. Now we just assume that the connection is secure if the
  |   local IP matches the remote IP address.
  | * SSL code rewrite which hopefully makes it work better than before.
  |   Seems to work correctly, but if you suddently have trouble with SSL
  |   connections this is likely the reason.
  | + verbose_ssl=yes: Log also SSL alerts and BIO errors
  | - If namespace's location field wasn't set, the default location
  |   was supposed to be used but it wasn't.
  | - When copying ssl-parameters.dat file from /var/lib to /var/run its
  |   permissions went wrong if it couldn't be copied with hard linking.
  | - Fixed filesystem quota plugin to work with BSDs.
  | - Maildir: Saving mails didn't work if quota plugin was enabled (again)
  | - Maildir: Messages' received time wasn't saved properly when
  |   saving/copying multiple messages at a time. Also if using quota
  |   plugin the S= size was only set for the first saved file, and even
  |   that was wrong.
  | - passdb passwd-file: Don't require valid uid/gid fields if file
  |   isn't also being used as a userdb.
  | - PostgreSQL: Handle failures better so that there won't be
  |   "invalid fd" errors in logs.
  | - Don't try to expunge messages if the mailbox is read-only. It'll
  |   just cause our index files to go out of sync with the real
  |   mailbox and cause errors.
  | - ANONYMOUS authentication mechanism couldn't work because
  |   anonymous_username setting wasn't passed from master process.
- Update to version 1.0.rc1:
  | * PAM: If user's password is expired, give "Password expired" error
  |   message to the user. Now actually working thanks to Vaidas Pilkauskas
  | * Relicensed dovecot-auth, lib-sql and lib-ntlm to MIT license. See
  |   COPYING file for more information.
  | * Abuse prevention: When creating a mailbox, limit the number of
  |   hierarchies (up to 20) and the length of the mailbox name within
  |   a hierarchy (up to 200 characters).
  | * mbox: If saved mail doesn't end with LF, add it ourself so that the
  |   mails always have one empty line before the next From-line.
  |
  | + Added --with-statedir configure option which defaults to
  |   $localstatedir/lib/dovecot. ssl-parameters.dat is permanently
  |   stored in that directory and is copied to login_dirs from there.
  | + IMAP: Support SASL-IR extension (SASL initial response)
  | + Support initial SASL response with LOGIN mechanism. Patch by Anders
  |   Karlsson
  | + Added PLAIN-MD4 password scheme. Patch by Andrey Panin.
  | + Added support for XFS disk quotas. Patch by Pawel Jarosz
  | + If another process deletes the opened mailbox, try to handle it
  |   without writing errors to log file. Handles the most common cases.
  | + Added TLS support for LDAP if the library supports it.
  | - SEARCH command was more or less broken with OR and NOT conditions
  | - Dovecot corrupted mbox files which had CR+LF linefeeds in headers
  | - MySQL code could have crashed while escaping strings
  | - MD4 code with NTLM authentication was broken with 64bit systems.
  |   Patch by Andrey Panin
  | - Plugin loading was broken in some OSes (eg. FreeBSD)
  | - Several fixes to handling empty values in configuration file
  | - Several fixes to dictionary quota backend and dict server.
  |   Also changed how they're configured.
  | - deliver: Fixed plugin handling settings
  | - mbox_min_index_size handling was somewhat broken
  | - passdb passwd-file: extra_args field wasn't read unless the file
  |   was also used as userdb.
- Addtional changes from v1.0.beta9:
  | * PAM: Don't call pam_setcred() unless setcred=yes PAM passdb
  |   argument was given.
  | * Moved around settings in dovecot-example.conf to be in more logical
  |   groups.
  | + Local delivery agent (deliver binary) works again.
  | + LDAP: Added support for SASL binding. Patch by Geert Jansen
  | + ssl_verify_client_cert: Check CRLs. If auth_verbose=yes, log
  |   invalid sent certificates. If verbose_ssl=yes, log even the valid
  |   certificates. When using the username from the certificate, use
  |   CommonName. Based on patch by HenkJan Wolthuis
  | + PAM: Set PAM_TTY which is needed by some PAM plugins
  | + dovecot --exec-mail ext <binary path> can now be used to start
  |   binaries which want dovecot.conf to be read, for example the
  |   convert-tool.
  | - Expunging needed to be done twice if client used STORE +FLAGS.SILENT
  |   command to set the \Deleted flags
  | - Added sql_escape_string() to lib-sql API and use it instead of
  |   normal \-escaping.
  | - ACL plugin fixes
  | - DIGEST-MD5: Trying to use subsequent authentication crashed
  |   dovecot-auth.
  | - Fetching BODY when BODYSTRUCTURE was already cached caused the
  |   reply to be broken in some cases
  | - Lots of fixes for index file handling
  | - dbox fixes and changes
  | - mbox syncing broke if some extraneous/broken headers were removed
  |   (eg. extra X-IMAPbase headers in mails)
  | - Running Dovecot from inetd work now properly with POP3
  | - Quota plugin fixes for calculating the quota correctly
* Thu May 25 2006 - mrueckert@suse.de
- Update to 1.0.beta8:
  | * Fixed a security hole with mbox: "1 LIST .. *" command could
  |   list all directories and files under the mbox root directory, so
  |   if your mails were stored in eg. /var/mail/%%u/ directory, the
  |   command would list everything under /var/mail.
  | + Unless nfs_check=no or mmap_disable=yes, check for the first login
  |   if the user's index directory exists in NFS mount. If so, refuse to
  |   run. This is done only on first login to avoid constant extra
  |   overhead.
  | + If we have plugins set and imap_capability unset, figure out the
  |   IMAP capabilities automatically by running imap binary at startup.
  |   The generated capability list isn't updated until Dovecot is
  |   restarted completely, so if you add or remove IMAP plugins you
  |   should restart. If you have problems related to this, set
  |   imap_capabilities setting manually to work around it.
  | + Added auth_username_format setting
  | - pop3_lock_session setting wasn't really working
  | - Lots of fixes related to quota handling. It's still not working
  |   perfectly though.
  | - Lots of index handling fixes, especially with mmap_disable=yes
  | - Maildir: saving mails could have sometimes caused "Append with UID
  |   n, but next_uid = m" errors
  | - flock() locking never timeouted because ignoring SIGALRM caused the
  |   system call just to be restarted when SIGALRM occurred (probably not
  |   with all OSes though?)
  | - kqueue: Fixed "Unrecognized event". Patch by Vaclav Haisman
- removed dovecot-1.0.beta7_directory-traversal.patch:
  the patch is included in 1.0.beta8
- dovecot-1.0.beta3_indexfixes.patch: included in beta8
- replaced dovecot-1.0.beta1_pie.patch with
  dovecot-1.0.beta6_pie.patch: rediff for new version
- no longer use %%{_libdir}/dovecot as libexecdir. We use
  [%%{_prefix}/lib/dovecot] now.
* Tue May 16 2006 - mrueckert@suse.de
- added dovecot-1.0.beta7_directory-traversal.patch:
  Fix Mailbox names list disclosure with mboxes (#175188)
* Mon Feb 13 2006 - mrueckert@suse.de
- added dovecot-1.0.beta3_indexfixes.patch
  * added index sync fixes
  * added fix for ldap urls
  * let dovecot not send header for mails we didnt announce with
  EXISTS
  * allow empty protocol line so you can use dovecot for pipe only
- removed dovecot-1.0.beta2-sqlite_signedness.patch
  applied upstream
- replaced all occurences of /usr/libexec with %%{_libdir}
* Wed Feb 08 2006 - mrueckert@suse.de
- update to version 1.0.beta3
  | * Dotlock code changed to timeout faster in some situations when
  |   the lock file is old.
  | + Added support for loading SQL drivers dynamically (see INSTALL file
  |   for how to build them)
  | + Keywords are stored to dboxes, and other dbox improvements.
  | + dict-sql could actually work now, making quota-in-sql-database
  |   possibly working now (not fully tested)
  | + Added mail storage conversion plugin to convert automatically from
  |   one mailbox format to another while user logs in. Doesn't preserve
  |   UIDVALIDITY/UIDs though.
  | + Added plugin { .. } section to dovecot.conf for passing parameters
  |   to plugins (see dovecot-example.conf).
  | + Added ssl-build-param binary which is used to generate
  |   ssl-parameters.dat. Main dovecot binary doesn't anymore link to
  |   SSL libraries, and this also makes the process title be clearer
  |   about why the process is eating all the CPU.
  | -  Fix building without OpenSSL
  | -  Fixed memory leak in MySQL driver
  | -  Fixes to checkpassword
  | -  Broken Content-Length header could have broken mbox opening
  | -  Fixed potential hangs after APPEND command
  | -  Fixed potential crashes in dovecot-auth and imap/pop3-login
  | -  zlib plugin now links with -lz so it could actually work
  | -  kqueue fixes by Vaclav Haisman
- update dovecot-lda with latest fixes to compile against b3
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - mrueckert@suse.de
- update to 1.0.beta2. this is a bugfix release.
  | + Added SQLite support. Patch by Jakob Hirsch.
  | + Added auth_debug_passwords setting. If it's not enabled,
  |   hide all password strings from logs.
  | + Added mail_cache_min_mail_count and mbox_min_index_size
  |   settings which can be used to make Dovecot do less disk writes
  |   in small mailboxes where they don't benefit that much.
  | + Added --build-ssl-parameters parameter to dovecot binary
  | - SSL parameters were being regenerated every 10 minutes,
  |   although not with all systems.
  | - Fixed dovecot-auth crashing at startup. Happened only with some
  |   specific compilers.
  | - base_dir was supposed to be set world-readable,
  |    not world-writable
- disabled epoll for now.
  Jakob Hirsch is working on a patch for this.
- sqlite3 support enabled
  + dovecot-1.0.beta2-sqlite_signedness.patch
  fix a signedness warning
- apply fix for dovecot-lda that allows using default_mail_env
- includes dovecot-lda changelog
* Fri Jan 20 2006 - mrueckert@suse.de
- added dovecot-1.0.beta1_sslparam-regeneration.patch
  fix timer for regeneration of ssl params
* Tue Jan 17 2006 - mrueckert@suse.de
- added dovecot-1.0beta1_pie.patch
- compile with -fstack-protector
* Tue Jan 17 2006 - mrueckert@suse.de
- Update to version package for 1.0.beta1
  this is a complete rewrite see
  /usr/share/doc/packages/dovecot/ChangeLog.gz for all changes
- added dovecot-cvs_inotify.patch
  fixes a small include for inotify support
* Mon Sep 26 2005 - ro@suse.de
- added LDAP_DEPRECATED to CFLAGS
* Fri Jun 03 2005 - mmj@suse.de
- Compile with -fpie/-pie
* Mon Feb 14 2005 - mmj@suse.de
- Update to 0.99.14 including:
  o Message address fields are now parsed differently, fixing some
  issues with spaces. Affects only clients which use FETCH ENVELOPE
  command.
  o Message MIME parser was somewhat broken with missing MIME boundaries
  o mbox: Don't allow X-UID headers in mails to override the UIDs we
  would otherwise set. Too large values can break some clients and
  cause other trouble.
  o passwd-file userdb wasn't working
  o PAM crashed with 64bit systems
  o non-SSL inetd startup wasn't working
  o If UID FETCH notices and skips an expunged message, don't return
  a NO reply. It's not needed and only makes clients give error
  messages.
* Sun Jan 23 2005 - mmj@suse.de
- Update to 0.99.13 including:
  o GNUTLS support hasn't been working for a while, so it's not even
  tried to be used anymore unless explicitly wanted.
  o Added CRAM-MD5 authentication mechanism.
  o Added SMD5 and LDAP-MD5 password schemes and changed MD5
  scheme to use LDAP-MD5 if the password isn't in MD5crypt format.
  o Workaround for some POP3 client bugs: if message doesn't
  contain the "end of headers" empty line, add it automatically.
  o vpopmail supports now all password schemes, most importantly
  MD5crypt works now without support from libc's crypt()
  o SQL and LDAP authentication was broken
  o SEARCH UNKEYWORD wasn't working
* Tue Dec 07 2004 - mmj@suse.de
- Update to 0.99.12.1 including:
  o Fix memory leaks in LDAP, MySQL and PGSQL userdb/passdb
  o Fix hanging when parsing mails that have over 4096 bytes in one
  line (SMTP servers normally don't allow over 1000 bytes so it
  shouldn't be much of a problem)
  o FETCH BODYSTRUCTURE sometimes gave a wrong reply
  (eg. with FETCH (BODYSTRUCTURE RFC822.SIZE) if it wasn't cached)
  o Never return more than one INBOX in LIST even if there are such
  files. They don't work anyway and it just confuses clients.
  o mbox: Don't allow creating INBOX directory by creating/renaming
  mailboxes under it. They just wouldn't work.
  o POP3: Don't return PLAIN in SASL list. We don't support initial SASL
  responses, so it only breaks with most clients that try to use it.
  o IMAP and POP3 login processes may have sent each line in two IP
  packets, one with the data and another with CR+LF. Some clients
  didn't work because of this.
* Mon Nov 15 2004 - kukuk@suse.de
- Use common-* PAM config files
* Sat Oct 23 2004 - mmj@suse.de
- Switch heimdal-* to kerberos-devel-packages in #nfb as pr. requst
  of Mr. Carsten Hger
* Sat Sep 04 2004 - mmj@suse.de
- Update to dovecot-0.99.11 which mainly is a bugfix release with:
  o 127.* and ::1 IP addresses are treated as secured with
  disable_plaintext_auth = yes
  o auth_debug setting for extra authentication debugging
  o Some documentation and error message updates
  o Create PID file in /var/run/dovecot/master.pid
  o home setting is now optional in static userdb
  o Added mail setting to static userdb
  o After APPENDing to selected mailbox Dovecot didn't always notice the
  new mail immediately which broke some clients
  o THREAD and SORT commands crashed with some mails
  o If APPENDed mail ended with CR character, Dovecot aborted the saving
  o Output streams sometimes sent data duplicated and lost part of it.
  This could have caused various strange problems, but looks like in
  practise it rarely caused real problems.
* Tue Aug 31 2004 - mmj@suse.de
- Don't create unused directories [#44362]
* Mon Aug 09 2004 - mmj@suse.de
- Update to dovecot-0.99.10.9 with the following item since .6:
  o MySQL compiling got broken in last release
  o More PostgreSQL reconnection fixing
  o LDAP support compiles now with Solaris LDAP library
  o IMAP BODY and BODYSTRUCTURE replies were wrong for MIME parts which
  didn't contain Content-Type header.
  o MySQL and PostgreSQL auth didn't reconnect if connection was lost
  to SQL server
  o Linking fixes for dovecot-auth with some systems
  o Last fix for disconnecting client when downloading mail longer than
  30 seconds actually made it never disconnect client. Now it works
  properly: disconnect when client hasn't read _any_ data for 30
  seconds.
  o Added outlook-pop3-no-nuls workaround to fix Outlook hang in
  mails with NULs.
  o Config file lines can now contain quoted strings ("value ")
  o If client didn't finish downloading a single mail in 30 seconds,
  Dovecot closed the connection. This was supposed to work so that
  if client hasn't read data at all in 30 seconds, it's disconnected.
  o Maildir: LIST now doesn't skip symlinks
* Mon Jun 21 2004 - mmj@suse.de
- Update to dovecot-0.99.10.6 which is a bugfix release
* Sat May 29 2004 - mmj@suse.de
- Update to dovecot-0.99.10.5 which main feature is mysql support
* Wed May 26 2004 - mmj@suse.de
- Adjust the modules path to a more suitable place, and work the
  configuration a bit.
* Tue May 18 2004 - mmj@suse.de
- Initial package of dovecot-0.99.10.4. Thanks to darix for hints.
